package com.fjhx.jpush.code;

import lombok.AllArgsConstructor;
import lombok.Getter;
import lombok.Setter;

import java.util.List;

@Getter
@Setter
@AllArgsConstructor
public class JpushMsgEntity {
	/**
	 * 推送平台
	 */
	private String platform;
	/**
	 * 推送设备
	 */
	private Audience audience;
	/**
	 * 消息体
	 */
	private Notification notification;

	@Getter
	@Setter
	@AllArgsConstructor
	public static class Notification {
		/**
		 * 消息内容
		 */
		private String alert;
	}

	@Getter
	@Setter
	@AllArgsConstructor
	public static class Audience {
		/**
		 * 设备注册码列表
		 */
		private List<String> registration_id;
	}
}
